<!--
SPDX-FileCopyrightText: 2022 debgerme <fossgerme@tuta.io>

SPDX-License-Identifier: CC-BY-SA-4.0
-->

# Cómo añadir *Canciones Custom* a *Vib-Ribbon* (Emulador)

[English version](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/src/branch/master/Posts/Custom-songs-Vib-Ribbon/Custom-songs-Vib-Ribbon-EN.md)

Hola! este es como el tutorial definitivo de como hacer un archivo ISO+CUE reproducible por vib-ribbon. AUNQUE esto puede ser util también si solo planeas hacer un archivo ISO+CUE.

Estoy escribiendo este tutorial desde linux, pero creo que todos los pasos aplican para otros sistemas operativos como BSD, Windows, MacOS, y quizá android.

Primero, voy a mostrarte la lista de pasos a seguir:

* Tener los programas requeridos
* Exportar el audio con audacity
* Hacer el archivo CUE
* Cómo usarlo

## Tener los programas requeridos

Necesitas estas piezas:

* Un audio que queramos usar
* Audacity
* Un editor de texto plano
* Un emulador compatible con discos de audio
* La ROM de Vib-Ribbon

### Audacity

Primero, Lanza Audacity y clickea en `ARCHIVO` y luego `ABRIR`.

Selecciona tu canción. *En mi caso es Future Eve, de Sasakure.UK*

Luego clickea `Frecuencia (HZ)` y selecciona `44100`.

![44100 hz](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/audacity-in-editor.png)

Luego, Clikea en `Archivo`, `Exportar`, `Exportar audio` o presiona `Shift`+`Ctrl`+`E`.

Selecciona *Otros archivos sin compresión* Y luego en cabecera selecciona *RAW (header-less)*, y *Signed 16-bit*

![RAW](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/audacity-exporting-options.png)

Luego exportalo a alguna carpeta que quieras. *En mi caso, solo por el tutorial, es* `~/Descargas/Future Eve/`

### La parte del BIN+CUE

Cuando esté exportado, Renombra el formato del archivo a .BIN. *En mi caso, El archivo es `FUTURE EVE.raw` Y lo voy a renombrar a `FUTURE EVE.bin`* Y haz un archivo CUE con este contenido:

```
FILE "Name.bin" BINARY
  TRACK 01 AUDIO
    INDEX 00 00:00:00
    INDEX 01 00:00:00
```

Y reemplaza `Name` Con el nombre del archivo. *En mi caso es `FUTURE EVE.bin`*

Con solo un audio por disco, yo recomiendo tener el mismo nombre pero con diferente formato, así:

```
"FUTURE EVE.bin"
"FUTURE EVE.cue"
```

Aunque puedes ponerle diferentes nombres.

### Haciendo un disco multitrack (multi BIN)

Si quieres tener más de una pista por disco, puedes hacerlo con un disco multitrack!

#### Aquí está cómo:

* Exporta los archivos de audio (mira el paso ###Audacity).

* Al nombrar, recomiendo poner una numeración. Aquí está un ejemplo:

![mira la numeración en los nombres](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/my-song-list.png)

* Edita el archivo CUE para incluir todas las canciones. [Puedes descargar esta plantilla](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/multitrack-multibin-template.cue), Tiene el número máximo de pistas que **Vib-Ribbon puede controlar.**

* Eso es todo. Recuerda que **el número máximo de pistas es 26.** Si agregas más, el juego va a bloquearse tratando de cargarlas. Nota: La **bios de Playstation PUEDE** controlar más pistas. 

### La parte del Juego

Yay! Tienes un disco BIN+CUE con tu musica y que funciona! Ahora lo reproduciremos con Vib-ribbon

Tienes que tener un emulador compatible con discos de audio. No se como determinar esto, pero probé PCSXR Y no funcionó.

La mejor solución es Duckstation, Que tiene un montón de features y es super rapido y Open source (GNU GPLv3). Está en [flathub](https://flathub.org/apps/details/org.duckstation.DuckStation) Y aquí está su [github](https://github.com/stenzek/duckstation)

Entonces lanza Duckstation, configuralo, Y luego abre la rom de Vib-Ribbon.

Ve a la parte del CD

![Go here](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/vib-ribbon-CD.png)

Ve a Single track y luego cambia el disco

![then go there](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/vib-ribbon-single-track.png)
![when you see this](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/vib-ribbon-change-disk.png)
![change the disk](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/duckstation-change-disk.png)
![yeah, select the disk](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/duckstation-select-disk.png)

Ya puedes jugar con tu música!!!

![Aquí una captura de mi jugando](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/playing-future-eve.png)

## Créditos:

[sys128](https://www.youtube.com/c/sys128) - Me ayudó a hacer funcionar mi música en Vib-Ribbon.

## Bye bye!

Espero haberte ayudado con este tutorial.

Sientete libre de [contactarme](t.me/debgerme) si tienes preguntas o algo que decir. Puedes enviar un commit aquí si quieres.
